Bug 2094975 - centos-release-samba416-1.0-1.1.el8.noarch - dump_core [NEEDINFO]
Summary: centos-release-samba416-1.0-1.1.el8.noarch - dump_core
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: samba
Version: CentOS Stream
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: rc
: ---
Assignee: Anoop C S
QA Contact: sssd-qe
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-06-08 18:21 UTC by lejeczek
Modified: 2022-07-04 16:57 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-04 16:57:05 UTC
Type: Bug
Target Upstream Version:
anoopcs: needinfo? (peljasz)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker RHELPLAN-124699 0 None None None 2022-06-08 18:26:40 UTC

Description lejeczek 2022-06-08 18:21:38 UTC
Description of problem:

Hi guys.

Samba (from centos-release-samba416-1.0-1.1.el8.noarch) under IPA with glusterFS:

-> $ systemctl restart smb.service 

Starting Samba SMB Daemon...
[2022/06/08 19:17:32.937351,  0, pid=49122] ../../source3/smbd/server.c:1741(main)
  smbd version 4.16.1 started.
  Copyright Andrew Tridgell and the Samba Team 1992-2022
[2022/06/08 19:17:32.960756,  0, pid=49122] ../../lib/util/fault.c:172(smb_panic_log)
  ===============================================================
[2022/06/08 19:17:32.960925,  0, pid=49122] ../../lib/util/fault.c:176(smb_panic_log)
  INTERNAL ERROR: Signal 6: Aborted in pid 49122 (4.16.1)
[2022/06/08 19:17:32.960981,  0, pid=49122] ../../lib/util/fault.c:181(smb_panic_log)
  If you are running a recent Samba version, and if you think this problem is not yet fixed in the latest versions, please consider reporting this bug, see https://wiki.samba.org/index.php/Bug_Reporting
[2022/06/08 19:17:32.961022,  0, pid=49122] ../../lib/util/fault.c:182(smb_panic_log)
  ===============================================================
[2022/06/08 19:17:32.961056,  0, pid=49122] ../../lib/util/fault.c:184(smb_panic_log)
  PANIC (pid 49122): Signal 6: Aborted in 4.16.1
[2022/06/08 19:17:32.961647,  0, pid=49122] ../../lib/util/fault.c:288(log_stack_trace)
  BACKTRACE: 15 stack frames:
   #0 /lib64/libsamba-util.so.0(log_stack_trace+0x34) [0x7f41bbc0c7c4]
   #1 /lib64/libsamba-util.so.0(smb_panic+0xd) [0x7f41bbc0ca1d]
   #2 /lib64/libsamba-util.so.0(+0xeab9) [0x7f41bbc0cab9]
   #3 /lib64/libpthread.so.0(+0x12ce0) [0x7f41bb83bce0]
   #4 /lib64/libc.so.6(gsignal+0x10f) [0x7f41bb2a4a4f]
   #5 /lib64/libc.so.6(abort+0x127) [0x7f41bb277db5]
   #6 /lib64/libtalloc.so.2(+0x2f40) [0x7f41a34a7f40]
   #7 /lib64/libtalloc.so.2(+0x336c) [0x7f41a34a836c]
   #8 /usr/lib64/samba/pdb/ipasam.so(+0x11c2f) [0x7f41a38e7c2f]
   #9 /lib64/libsamba-passdb.so.0(make_pdb_method_name+0xb2) [0x7f41bbdae2f2]
   #10 /lib64/libsamba-passdb.so.0(+0x1d604) [0x7f41bbdae604]
   #11 /lib64/libsamba-passdb.so.0(initialize_password_db+0x1d) [0x7f41bbdb096d]
   #12 /usr/sbin/smbd(main+0x5d9) [0x55c945bbcf09]
   #13 /lib64/libc.so.6(__libc_start_main+0xf3) [0x7f41bb290ca3]
   #14 /usr/sbin/smbd(_start+0x2e) [0x55c945bbe6de]
[2022/06/08 19:17:32.962008,  0, pid=49122] ../../source3/lib/dumpcore.c:318(dump_core)
  coredump is handled by helper binary specified at /proc/sys/kernel/core_pattern

smb.service: Main process exited, code=dumped, status=6/ABRT
smb.service: Failed with result 'core-dump'.
Failed to start Samba SMB Daemon.


Version-Release number of selected component (if applicable):

python3-samba-4.16.1-100.el8s.x86_64
samba-4.16.1-100.el8s.x86_64
samba-client-4.16.1-100.el8s.x86_64
samba-client-libs-4.16.1-100.el8s.x86_64
samba-common-4.16.1-100.el8s.noarch
samba-common-libs-4.16.1-100.el8s.x86_64
samba-common-tools-4.16.1-100.el8s.x86_64
samba-libs-4.16.1-100.el8s.x86_64
samba-vfs-glusterfs-4.16.1-100.el8s.x86_64
samba-winbind-4.16.1-100.el8s.x86_64
samba-winbind-modules-4.16.1-100.el8s.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 lejeczek 2022-06-08 18:33:41 UTC
Apologies, this is on CentOS 8 Stream - I missed the bit and bugzilla chose for me.

Comment 2 Anoop C S 2022-06-15 11:11:37 UTC
With Samba packages installed from centos-release-samba416,

* Can you attach debug level 10 logs while starting smbd?
* Output of `rpm -qf /usr/lib64/samba/pdb/ipasam.so`?
* Output of `rpm -qa | grep samba`?

Comment 3 Alexander Bokovoy 2022-06-15 11:19:09 UTC
FYI, RHEL IdM team does not test against centos-release-samba416 at all, so ipasam PDB module is not guaranteed to work at all against an alternative Samba build. If it worked before, fine, but no effort would be done to test it against alternative builds.

Comment 4 lejeczek 2022-06-17 07:53:03 UTC
(In reply to Anoop C S from comment #2)
> With Samba packages installed from centos-release-samba416,
> 
> * Can you attach debug level 10 logs while starting smbd?
> * Output of `rpm -qf /usr/lib64/samba/pdb/ipasam.so`?
> * Output of `rpm -qa | grep samba`?

I cannot I'm sorry - these were production systems and I had to bring then back to "normal" - which I did by swapping to "default" Samba. But it should be easy to reproduce and then go full on debug, just use centos-release-samba416 "under" IPA.

Comment 5 lejeczek 2022-06-17 08:08:58 UTC
@everyone-involved(Redhat) if I may share an opinion (@IPA guys - I could not ask for more, you do more that I'd expect from my perspective) - on GlusterFS.

Redhat own, support & promote GlusterFS but in places a picture emerges where GlusterFS is the black sheep to Redhat. No GlusterFS in default packages, like Samba, unless "fixed in" by SIGs and recently GlusterFS Redhat removed from Qemu/Libvirt.
Everywhere you look libgfapi beats fuse by a mile. End users, consumers, everybody gets that there is a cost to it, as there always is to developing & maintain anything not only software, but is that really so bad so Redhat paints that sheep black (when convenient).
I recommend GlusterFS is taken seriously by RH(including CentOS) and is fully "fixed" in what is default out-of-box vanilla.

thanks, L.

Comment 8 Anoop C S 2022-07-04 16:57:05 UTC
While we look into this in parallel, bug #2100088(and hopefully similar one for libldb) has been opened to investigate the possibilities of adding requirements for rebuilding Samba on CentOS with system libraries. Also the current issue being specific to Samba from Storage SIG makes it more sense to be tracked via CentOS bug trackers.


Note You need to log in before you can comment on or make changes to this bug.